## ffmpeg-dmo 4.4.6

=== debian/changelog ===
ffmpeg-dmo (10:4.4.6-dmo1~bpo11+2) bullseye-backports; urgency=medium

  * Add Debian LTS patches.  Fixes issues: CVE-2023-6603.patch,
    CVE-2024-36615.patch, CVE-2025-1594.patch, CVE-2025-7700.patch,
    CVE-2025-9951.patch, CVE-2025-10256.patch, CVE-2025-63757.patch

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 26 Jan 2026 10:07:56 +0100

ffmpeg-dmo (10:4.4.6-dmo1~bpo11+1) oldstable-backports; urgency=medium

  * New upstream release.
  * Fixes various security issues: CVE-2023-49502, CVE-2025-0518,
    CVE-2025-22919

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 18 May 2025 08:58:54 +0200

ffmpeg-dmo (10:4.4.5-dmo1~bpo11+3) oldstable-backports; urgency=medium

  * Really really build with libx264-165

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 20 Apr 2025 16:57:21 +0200

ffmpeg-dmo (10:4.4.5-dmo1~bpo11+2) oldstable-backports; urgency=medium

  * Really build with libx264-165

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 20 Apr 2025 14:59:55 +0200

ffmpeg-dmo (10:4.4.5-dmo1~bpo11+1) oldstable-backports; urgency=medium

  * Upload to oldstable-backports
  * Build with libx264-165

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 20 Apr 2025 11:08:45 +0200

ffmpeg-dmo (10:4.4.5-dmo0+deb11u1) oldstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 29 Jul 2024 07:33:29 +0200

ffmpeg-dmo (10:4.4.4-dmo0+deb11u1) stable; urgency=medium

  * New upstream release.
  * Fixes various security issues: CVE-2022-3109, CVE-2022-3341,
    CVE-2022-3964

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 14 Apr 2023 17:41:56 +0200

ffmpeg-dmo (10:4.4.3-dmo0+deb11u3) stable; urgency=medium

  * Enavle svt-av1 for all arches.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 19 Oct 2022 07:55:01 +0200

ffmpeg-dmo (10:4.4.3-dmo0+deb11u2) stable; urgency=medium

  * Build with svt-av1 1.2.1 (Thanks to Radek Steiger for the bug report)

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 18 Oct 2022 16:04:32 +0200

ffmpeg-dmo (10:4.4.3-dmo0+deb11u1) stable; urgency=medium

  * New upstream release.
  * Fixes for CVE-2020-20446, CVE-2020-20453, CVE-2020-22015,
    CVE-2020-22019, CVE-2020-22033, CVE-2020-22021, CVE-2020-22037,
    CVE-2021-33815, CVE-2021-38114, CVE-2021-38171, CVE-2021-38291

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 17 Oct 2022 16:18:59 +0200

ffmpeg-dmo (10:4.4-dmo4+deb11u5) stable; urgency=medium

  * Build with --enable-libdrm and add libdrm-dev to Build-Depends.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 27 Jul 2022 18:04:36 +0200

ffmpeg-dmo (10:4.4-dmo4+deb11u4) stable; urgency=medium

  * Build with fixed svt-av1 packages.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 07 Jul 2022 17:54:04 +0200

ffmpeg-dmo (10:4.4-dmo4+deb11u3) stable; urgency=medium

  * Enable omx.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 11 Nov 2021 18:14:38 +0100

ffmpeg-dmo (10:4.4-dmo4+deb11u2) stable; urgency=medium

  * Build with nv-codec-headers 10.0.26.2 to really enable nvenc.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 24 Aug 2021 15:07:33 +0200

ffmpeg-dmo (10:4.4-dmo4+deb11u1) stable; urgency=medium

  * Remove version in Conflicts/Replaces for ffplay

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 16 Aug 2021 09:07:49 +0200

ffmpeg-dmo (10:4.4-dmo4) unstable; urgency=medium

  * Add libnvidia-encode1 [amd64 arm64 i386] to Suggest: for libavcodec58
    package. This package is needed if you encode with NVEnc.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 08 Jul 2021 11:29:25 +0200

ffmpeg-dmo (10:4.4-dmo3) unstable; urgency=medium

  * Build with libx264-164

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 14 Jun 2021 01:04:54 +0200

ffmpeg-dmo (10:4.4-dmo2) unstable; urgency=medium

  * Build powerpc packages with -latomic

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 02 Jun 2021 14:58:18 +0200

ffmpeg-dmo (10:4.4-dmo1) unstable; urgency=medium

  * New upstream release.
  * Remove libwavpack-dev from Build-Depends (wavpack support removed
    upstreeam).
  * Add RIST support
  * liblensfun filter is disabled (doesn't build with liblensfun 0.3.2)

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 09 Apr 2021 10:15:54 +0200

ffmpeg-dmo (10:4.3.2-dmo3) unstable; urgency=medium

  * Build with libx265-199

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 03 Apr 2021 15:19:11 +0200

ffmpeg-dmo (10:4.3.2-dmo2) unstable; urgency=medium

  * Build with libaom3

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 24 Mar 2021 15:17:48 +0100

ffmpeg-dmo (10:4.3.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 21 Feb 2021 01:01:20 +0100

ffmpeg-dmo (10:4.3.1-dmo10) unstable; urgency=medium

  * Build with libsrt1.4-gnutls

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 19 Jan 2021 08:35:19 +0100

ffmpeg-dmo (10:4.3.1-dmo9) unstable; urgency=medium

  * Add upstream patches to fix CVE-2020-35964 and CVE-2020-35965

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 13 Jan 2021 09:49:25 +0100

ffmpeg-dmo (10:4.3.1-dmo8) unstable; urgency=medium

  * Build with libilbc3

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 02 Jan 2021 15:47:50 +0100

ffmpeg-dmo (10:4.3.1-dmo7) unstable; urgency=medium

  * Build with srt 1.4.2

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 20 Dec 2020 18:22:41 +0100

ffmpeg-dmo (10:4.3.1-dmo6) unstable; urgency=medium

  * Build with libsrt1-gnutls 1.4.1

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 20 Dec 2020 15:45:50 +0100

ffmpeg-dmo (10:4.3.1-dmo5) unstable; urgency=medium

  * Build with libvmaf1

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 10 Dec 2020 15:01:38 +0100

ffmpeg-dmo (10:4.3.1-dmo4) unstable; urgency=medium


