=== debian/control ===
Source: ffmpeg-dmo
Section: video
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: http://ffmpeg.org/
Rules-Requires-Root: no
Standards-Version: 4.5.1
Build-Depends-Indep: doxygen, tree
Build-Depends: debhelper-compat (= 13), libmp3lame-dev, zlib1g-dev, libvorbis-dev,
 libsdl2-dev, quilt, libxvidcore-dev, liblzo2-dev, texinfo, libgcrypt-dev, clang,
 libx264-dev (>= 4:0.165~), libtheora-dev, libgsm1-dev, libsnappy-dev, libxvmc-dev,
 libdc1394-dev, libbs2b-dev, libilbc-dev [!powerpc], libspeex-dev, libopencore-amrwb-dev,
 libfreetype-dev, libopenmpt-dev, nasm [any-amd64 any-i386], libopenjp2-7-dev,
 libvdpau-dev, libtesseract-dev, libopencore-amrnb-dev, libxfixes-dev,
 libbz2-dev, libssl-dev, libass-dev, libasound2-dev | libasound-dev, librist-dev,
 libva-dev [any-amd64 any-i386], libjack-jackd2-dev, libvpx-dev (>= 1.8.0),
 frei0r-plugins-dev, libvo-amrwbenc-dev, libsctp-dev, libopus-dev,
 gnutls-dev, frei0r-plugins-dev, libsoxr-dev, linux-libc-dev, libdrm-dev,
 libaom-dev (>= 1:3.0.0~), libfontconfig1-dev, libfdk-aac-dev, libpulse-dev,
 libzvbi-dev, libiec61883-dev, libavc1394-dev, libleptonica-dev,
 libvidstab-dev (>= 2:0.98b), libx265-dev (>= 1:3.5~), libxext-dev, libcaca-dev,
 libkvazaar-dev (>= 1:2.0.0~), liblzma-dev, libopenh264-dev (>= 2.1.1~),
 libgl-dev, libwebp-dev (>= 0.6.0~), libgme-dev,
 libshine-dev (>= 3.0.0), libfribidi-dev, libxcb1-dev, libxcb-shm0-dev,
 libxcb-xfixes0-dev, librubberband-dev, libmfx-dev (= 21.1.0-1) [amd64],
 nv-codec-headers (>= 2:10.0.26.2~) [amd64 arm64 i386], libcodec2-dev (>= 0.9.2~),
 ocl-icd-opencl-dev, libzimg-dev (>= 2.9.1~), libdav1d-dev (>= 1:0.8.0~),
 libmysofa-dev (>= 1~), libbluray-dev (>= 2:1.0.0~), libcdio-paranoia-dev,
 libzmq3-dev, libaribb24-dev, liblensfun-dev, liblilv-dev, ladspa-sdk,
 flite1-dev, librsvg2-dev, libtwolame-dev, libopenal-dev, librabbitmq-dev,
 libvmaf-dev [amd64], amf-codec-headers [amd64], libvulkan-dev, libxavs2-dev,
 libsrt-gnutls-dev (>= 1.4.2-1.1~), libsvtav1-dev (>= 1.2.1-dmo0+deb11~),
 libdavs2-dev, libomxil-bellagio-dev

# No, because add dependencies from non-free
# --enable-libnpp
# nvidia-cuda-dev

# --enable-cuda-nvcc
# nvidia-cuda-toolkit

Package: ffmpeg
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: nvidia-libvdpau1 [amd64 arm64 i386], ffmpeg-doc
Replaces: libavcodec52, libav-tools, ffplay
Conflicts: ffprobe, ffplay
Description: audio/video encoder, streaming server & audio/video file converter
 FFmpeg is the leading multimedia framework, able to decode, encode,
 transcode, mux, demux, stream, filter and play pretty much anything that
 humans and machines have created. It supports the most obscure ancient
 formats up to the cutting edge.
 .
 This package contains:
  * ffmpeg: a command line tool to convert multimedia files between formats
  * ffprobe: a simple multimedia stream analyzer
  * qt-faststart: a utility to rearrange Quicktime files

Package: ffmpeg-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, node-jquery
Replaces: ffmpeg (<= 10:2.2.1-dmo2)
Description: Documentation of the FFmpeg API
 This package contains the html doxygen documentation of the FFmpeg API.

Package: libavcodec58
Architecture: any
Section: libs
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libnvidia-encode1 [amd64 arm64 i386]
Description: Library to encode decode multimedia streams - runtime files
 FFmpeg is a hyper fast real time audio/video encoder, a streaming server
 and a generic audio and video file converter.
 .
 It can grab from a standard Video4Linux video source and convert it into
 several file formats based on DCT/motion compensation encoding. Sound is
 compressed in MPEG audio layer 2 or using an AC3 compatible stream.

Package: libavcodec-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends: libavcodec58 (= ${binary:Version}), libswresample-dev (>= ${binary:Version}), libavutil-dev (>= ${binary:Version}), ${misc:Depends}
Description: Library to encode decode multimedia streams - devel files
 FFmpeg is a hyper fast real time audio/video encoder, a streaming server
 and a generic audio and video file converter.
 .
 It can grab from a standard Video4Linux video source and convert it into
 several file formats based on DCT/motion compensation encoding. Sound is
 compressed in MPEG audio layer 2 or using an AC3 compatible stream.

Package: libpostproc55
Architecture: any
Section: libs
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: postproc shared libraries
 This package contains the FFmpeg video postprocessing shared library.

Package: libpostproc-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends: libpostproc55 (= ${binary:Version}), libavutil-dev (>= ${binary:Version}), ${misc:Depends}
Description: postproc devel files
 This package contains the FFmpeg video postprocessing devel files.

Package: libavutil56
Architecture: any
Section: libs
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FFmpeg avutil library - runtime files
 This package contains the FFmpeg video utility.

Package: libavutil-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends: libavutil56 (= ${binary:Version}), ${misc:Depends}, pkg-config
Description: FFmpeg avutil devel files - devel files
 This package contains the FFmpeg video utility.

Package: libavformat58
Architecture: any
Section: libs
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FFmpeg file format library
 This is the demuxer library from the FFmpeg project. It supports most
 existing file formats (AVI, MPEG, OGG, Matroska, ASF...).

Package: libavformat-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends: libavformat58 (= ${binary:Version}), libavcodec-dev (>= ${binary:Version}), libswresample-dev (>= ${binary:Version}), libavutil-dev (>= ${binary:Version}), ${misc:Depends}
Description: Development files for libavformat
 This is the demuxer library from the FFmpeg project. It supports most
 existing file formats (AVI, MPEG, OGG, Matroska, ASF...).

Package: libswscale5
Architecture: any
Section: libs
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FFmpeg library for image scaling and various conversions - runtime files
 FFmpeg is the leading multimedia framework, able to decode, encode,
 transcode, mux, demux, stream, filter and play pretty much anything that
 humans and machines have created. It supports the most obscure ancient
 formats up to the cutting edge.
 .
 This library performs highly optimized image scaling and colorspace and
 pixel format conversion operations.
 Specifically, this library performs the following conversions:
  * Rescaling is the process of changing the video size. Several rescaling
    options and algorithms are available. This is usually a lossy process.
  * Pixel format conversion is the process of converting the image format
    and colorspace of the image, for example from planar YUV420P to RGB24
    packed. It also handles packing conversion, that is converts from
    packed layout (all pixels belonging to distinct planes interleaved in
    the same buffer), to planar layout (all samples belonging to the same
    plane stored in a dedicated buffer or "plane"). This is usually a lossy
    process in case the source and destination colorspaces differ.
 .
 This package contains the runtime files.

Package: libswscale-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends: libswscale5 (= ${binary:Version}), libavutil-dev (>= ${binary:Version}), ${misc:Depends}
Description: FFmpeg library for image scaling and various conversions - development files
 FFmpeg is the leading multimedia framework, able to decode, encode,
 transcode, mux, demux, stream, filter and play pretty much anything that
 humans and machines have created. It supports the most obscure ancient
 formats up to the cutting edge.
 .
 This library performs highly optimized image scaling and colorspace and
 pixel format conversion operations.
 Specifically, this library performs the following conversions:
  * Rescaling is the process of changing the video size. Several rescaling
    options and algorithms are available. This is usually a lossy process.
  * Pixel format conversion is the process of converting the image format
    and colorspace of the image, for example from planar YUV420P to RGB24
    packed. It also handles packing conversion, that is converts from
    packed layout (all pixels belonging to distinct planes interleaved in
    the same buffer), to planar layout (all samples belonging to the same
    plane stored in a dedicated buffer or "plane"). This is usually a lossy
    process in case the source and destination colorspaces differ.
 .
 This package contains the development files.

Package: libavdevice58
Architecture: any
Section: libs
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FFmpeg library for handling input and output devices - runtime files
 FFmpeg is the leading multimedia framework, able to decode, encode,
 transcode, mux, demux, stream, filter and play pretty much anything that
 humans and machines have created. It supports the most obscure ancient
 formats up to the cutting edge.
 .
 This library provides a generic framework for grabbing from and rendering
 to many common multimedia input/output devices, and supports several input
 and output devices, including Video4Linux2, VfW, DShow, and ALSA.
 .
 This package contains the runtime files.

Package: libavdevice-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends: libavdevice58 (= ${binary:Version}), libavfilter-dev (>= ${binary:Version}), libswscale-dev (>= ${binary:Version}), libpostproc-dev (>= ${binary:Version}), libavformat-dev (>= ${binary:Version}), libavcodec-dev (>= ${binary:Version}), libswresample-dev (>= ${binary:Version}), libavutil-dev (>= ${binary:Version}), ${misc:Depends}
Description: FFmpeg library for handling input and output devices - development files
 FFmpeg is the leading multimedia framework, able to decode, encode,
 transcode, mux, demux, stream, filter and play pretty much anything that
 humans and machines have created. It supports the most obscure ancient
 formats up to the cutting edge.
 .
 This library provides a generic framework for grabbing from and rendering
 to many common multimedia input/output devices, and supports several input
 and output devices, including Video4Linux2, VfW, DShow, and ALSA.
 .
 This package contains the development files.

Package: libavfilter7
Architecture: any
Section: libs
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FFmpeg filter library
 libavfilter is a graphics library, therefore for:
 .
  * drawing text
    Create a single drawtext filter using freetype
  * supporting filters from libmpcodecs
    Create a single filter that links to libmpcodecs
  * supporting filters from gimp
    Create a single filter that links to it
  * reading images
    Create a filter using libavcodec
  * blending two things
    Create a single filter doing the blending using C

Package: libavfilter-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends: libavfilter7 (= ${binary:Version}), libswscale-dev (>= ${binary:Version}),
 libpostproc-dev (>= ${binary:Version}), libavformat-dev (>= ${binary:Version}),
 libavcodec-dev (>= ${binary:Version}), libswresample-dev (>= ${binary:Version}),
 libavresample-dev (>= ${binary:Version}), libavutil-dev (>= ${binary:Version}),  ${misc:Depends}
Description: Development files for libavfilter
 libavfilter is a graphics library, therefore for:
 .
  * drawing text
    Create a single drawtext filter using freetype
  * supporting filters from libmpcodecs
    Create a single filter that links to libmpcodecs
  * supporting filters from gimp
    Create a single filter that links to it
  * reading images
    Create a filter using libavcodec
