=== debian/watch ===
version=4

opts=uversionmangle=s/-rc1|-rc2|snapshot-git|snapshot//g \
http://ffmpeg.org/releases/ffmpeg-(.*)@ARCHIVE_EXT@
