## ffmpeg-dmo 6.1.3

=== debian/changelog ===
ffmpeg-dmo (10:6.1.3-dmo0+deb12u1) bookworm; urgency=medium

  * Upload to bookworm.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 22 Oct 2025 14:29:19 +0200

ffmpeg-dmo (10:6.1.3-dmo0~bpo12+1) bookworm-backports; urgency=medium

  * New bug fix release.
    Fixes following vulnerabilities: CVE-2023-49501, CVE-2023-49502,
    CVE-2023-50007, CVE-2023-50008, CVE-2023-6602, CVE-2023-6604,
    CVE-2023-6605, CVE-2024-31578, CVE-2024-31582, CVE-2024-35367,
    CVE-2024-35368, CVE-2025-0518, CVE-2025-22919

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 16 Aug 2025 18:34:51 +0200

ffmpeg-dmo (10:6.1.2-dmo0~bpo12+3) stable-backports; urgency=medium

  * Build with libx264-165

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 20 Mar 2025 16:24:36 +0100

ffmpeg-dmo (10:6.1.2-dmo0~bpo12+2) stable-backports; urgency=medium

  * Build with libx265-215

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 08 Dec 2024 15:56:43 +0100

ffmpeg-dmo (10:6.1.2-dmo0~bpo12+1) stable-backports; urgency=medium

  * New upstream release.
    Fixes following vulnerabilities:
    CVE-2024-7055, CVE-2024-36617

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 02 Aug 2024 08:40:52 +0200

ffmpeg-dmo (10:6.1.1-dmo2~bpo12+1) stable-backports; urgency=medium

  * Build for stable-backports

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 16 May 2024 08:38:13 +0200

ffmpeg-dmo (10:6.1.1-dmo1) unstable; urgency=medium

  * New upstream release.
    Fixes following vulnerabilities:
    CVE-2023-6601, CVE-2023-47342, CVE-2023-47344

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 31 Dec 2023 08:58:24 +0100

ffmpeg-dmo (10:6.1-dmo7) unstable; urgency=medium

  * Build with libvmaf3

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 09 Dec 2023 10:12:41 +0100

ffmpeg-dmo (10:6.1-dmo6) unstable; urgency=medium

  * Build with --enable-libharfbuzz to enable drawtext filter.
  * Enable libklvanc support

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 02 Dec 2023 17:12:02 +0100

ffmpeg-dmo (10:6.1-dmo5) unstable; urgency=medium

  * Update vlc crash upstream patch to v5 (was v3).

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 22 Nov 2023 08:32:48 +0100

ffmpeg-dmo (10:6.1-dmo4) unstable; urgency=medium

  * Remove Breaks: and add upstream patch to fix crash with vlc

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 19 Nov 2023 11:33:44 +0100

ffmpeg-dmo (10:6.1-dmo3) unstable; urgency=medium

  * Should be nvidia-vdpau-driver

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 19 Nov 2023 08:31:37 +0100

ffmpeg-dmo (10:6.1-dmo2) unstable; urgency=medium

  * Add a 'Breaks: vdpau-driver-all' for libavcodec60 package waiting for an
    upstream fix.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 19 Nov 2023 07:57:17 +0100

ffmpeg-dmo (10:6.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 11 Nov 2023 11:25:39 +0100

ffmpeg-dmo (10:6.0.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 10 Nov 2023 07:51:47 +0100

ffmpeg-dmo (10:6.0-dmo14) unstable; urgency=medium

  * Build with libvpx8

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 06 Oct 2023 00:48:33 +0200

ffmpeg-dmo (10:6.0-dmo13) unstable; urgency=medium

  * Build with libdav1d7

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 04 Oct 2023 08:26:23 +0200

ffmpeg-dmo (10:6.0-dmo12) unstable; urgency=medium

  * Build with libplacebo338

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 28 Sep 2023 09:18:37 +0200

ffmpeg-dmo (10:6.0-dmo11) unstable; urgency=medium

  * Build with libsvtav1enc1d1

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 24 Sep 2023 17:11:02 +0200

ffmpeg-dmo (10:6.0-dmo10) unstable; urgency=medium

  * Build without svt-av1 (This suck)

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 24 Sep 2023 12:39:35 +0200

ffmpeg-dmo (10:6.0-dmo9) unstable; urgency=medium

  * Build with libcodec2-1.2

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 16 Aug 2023 14:14:34 +0200

ffmpeg-dmo (10:6.0-dmo8) unstable; urgency=medium

  * Remove --disable-inline-asm and add upstream patch to fix build with
    binutil >= 2.41

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 27 Jul 2023 07:35:25 +0200

ffmpeg-dmo (10:6.0-dmo7) unstable; urgency=medium

  * Enable libplacebo support, but doesn't build with libplacebo v6 :)
  * Build with libcodec2-1.1
  * Build with --disable-inline-asm until binutils is fixed (see #1039004).

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 16 Jul 2023 18:09:23 +0200

ffmpeg-dmo (10:6.0-dmo6) unstable; urgency=medium

  * Add upstream patch to fix 'export skip_samples instead of dropping
     frames'

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 03 Jun 2023 15:36:47 +0200

ffmpeg-dmo (10:6.0-dmo5) unstable; urgency=medium

  * Add Conflicts/Replaces for ffmpeg -5-dev packages.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 27 Mar 2023 13:25:29 +0200

ffmpeg-dmo (10:6.0-dmo4) unstable; urgency=medium

  * Build with latest nv-codec-headers 12.0.16.0 to enable av1_nvenc

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 14 Mar 2023 15:47:40 +0100

ffmpeg-dmo (10:6.0-dmo3) unstable; urgency=medium

  * Build with libvidstab1.2

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 10 Mar 2023 01:43:30 +0100

ffmpeg-dmo (10:6.0-dmo2) unstable; urgency=medium

  * Add libvpl-dev to Build-Depends for amd64 arch only.
  * Upload to unstable.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 02 Mar 2023 07:26:21 +0100

ffmpeg-dmo (10:6.0-dmo1) experimental; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 28 Feb 2023 14:23:29 +0100

ffmpeg-dmo (10:5.1.2-dmo3) unstable; urgency=medium


