=== debian/control ===
--- 
+++ 
@@ -3,35 +3,35 @@
 Priority: optional
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
-Homepage: http://ffmpeg.org/
+Homepage: https://ffmpeg.org/
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Build-Depends-Indep: doxygen, tree
 Build-Depends: debhelper-compat (= 13), libmp3lame-dev, zlib1g-dev, libvorbis-dev,
- libsdl2-dev, quilt, libxvidcore-dev, liblzo2-dev, texinfo, libgcrypt-dev, clang,
- libx264-dev (>= 4:0.165~), libtheora-dev, libgsm1-dev, libsnappy-dev, libxvmc-dev,
- libdc1394-dev, libbs2b-dev, libilbc-dev [!powerpc], libspeex-dev, libopencore-amrwb-dev,
- libfreetype-dev, libopenmpt-dev, nasm [any-amd64 any-i386], libopenjp2-7-dev,
- libvdpau-dev, libtesseract-dev, libopencore-amrnb-dev, libxfixes-dev,
+ libsdl2-dev, quilt, libxvidcore-dev, liblzo2-dev, texinfo, libgcrypt-dev,
+ libx264-dev (>= 4:0.164.3107~), libtheora-dev, libgsm1-dev, libsnappy-dev, libdc1394-dev,
+ libbs2b-dev, libilbc-dev, libspeex-dev, libopencore-amrwb-dev,
+ libfreetype-dev, libopenmpt-dev, nasm, libopenjp2-7-dev, libharfbuzz-dev,
+ libvdpau-dev, libtesseract-dev, libopencore-amrnb-dev, libxfixes-dev, libgl-dev,
  libbz2-dev, libssl-dev, libass-dev, libasound2-dev | libasound-dev, librist-dev,
- libva-dev [any-amd64 any-i386], libjack-jackd2-dev, libvpx-dev (>= 1.8.0),
- frei0r-plugins-dev, libvo-amrwbenc-dev, libsctp-dev, libopus-dev,
- gnutls-dev, frei0r-plugins-dev, libsoxr-dev, linux-libc-dev, libdrm-dev,
- libaom-dev (>= 1:3.0.0~), libfontconfig1-dev, libfdk-aac-dev, libpulse-dev,
- libzvbi-dev, libiec61883-dev, libavc1394-dev, libleptonica-dev,
- libvidstab-dev (>= 2:0.98b), libx265-dev (>= 1:3.5~), libxext-dev, libcaca-dev,
- libkvazaar-dev (>= 1:2.0.0~), liblzma-dev, libopenh264-dev (>= 2.1.1~),
- libgl-dev, libwebp-dev (>= 0.6.0~), libgme-dev,
+ libva-dev [any-amd64 any-i386], libjack-jackd2-dev, libvpx-dev (>= 1.11.0),
+ frei0r-plugins-dev, libvo-amrwbenc-dev, libsctp-dev, libopus-dev, libjxl-dev,
+ gnutls-dev, frei0r-plugins-dev, libsoxr-dev, linux-libc-dev, ladspa-sdk,
+ libaom-dev (>= 1:3.0.0~), libfontconfig-dev, libfdk-aac-dev, libpulse-dev,
+ libzvbi-dev, libiec61883-dev, libavc1394-dev, libleptonica-dev, liblzma-dev,
+ libvidstab-dev (>= 2:1.1.1~), libx265-dev (>= 1:3.5), libxext-dev, libcaca-dev,
+ libkvazaar-dev (>= 1:2.2.0), libopenh264-dev (>= 2.1.1), librubberband-dev,
+ libwebp-dev (>= 0.6.0), libgme-dev, glslang-dev, libsvtav1-dev,
  libshine-dev (>= 3.0.0), libfribidi-dev, libxcb1-dev, libxcb-shm0-dev,
- libxcb-xfixes0-dev, librubberband-dev, libmfx-dev (= 21.1.0-1) [amd64],
- nv-codec-headers (>= 2:10.0.26.2~) [amd64 arm64 i386], libcodec2-dev (>= 0.9.2~),
- ocl-icd-opencl-dev, libzimg-dev (>= 2.9.1~), libdav1d-dev (>= 1:0.8.0~),
- libmysofa-dev (>= 1~), libbluray-dev (>= 2:1.0.0~), libcdio-paranoia-dev,
- libzmq3-dev, libaribb24-dev, liblensfun-dev, liblilv-dev, ladspa-sdk,
- flite1-dev, librsvg2-dev, libtwolame-dev, libopenal-dev, librabbitmq-dev,
- libvmaf-dev [amd64], amf-codec-headers [amd64], libvulkan-dev, libxavs2-dev,
- libsrt-gnutls-dev (>= 1.4.2-1.1~), libsvtav1-dev (>= 1.2.1-dmo0+deb11~),
- libdavs2-dev, libomxil-bellagio-dev
+ libxcb-xfixes0-dev, libvpl-dev [amd64], libcdio-paranoia-dev,
+ nv-codec-headers (>= 2:11.1) [amd64 arm64 i386], libcodec2-dev,
+ ocl-icd-opencl-dev, libzimg-dev (>= 2.9.1), libdav1d-dev (>= 1:1.2.1~),
+ libmysofa-dev (>= 1), libbluray-dev (>= 2:1.0.0), libzmq3-dev, libaribb24-dev,
+ liblensfun-dev, liblilv-dev, flite1-dev, librsvg2-dev, libtwolame-dev,
+ libopenal-dev, librabbitmq-dev, libvmaf-dev, amf-codec-headers [amd64],
+ libvulkan-dev, libxavs2-dev, libsrt-gnutls-dev (>= 1.4.2-1.1), libdavs2-dev,
+ libomxil-bellagio-dev, clang [amd64 arm64], libxml2-utils,
+ libplacebo-dev, libsmbclient-dev, libchromaprint-dev
 
 # No, because add dependencies from non-free
 # --enable-libnpp
@@ -43,7 +43,7 @@
 Package: ffmpeg
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Suggests: nvidia-libvdpau1 [amd64 arm64 i386], ffmpeg-doc
+Suggests: nvidia-vdpau-driver [amd64 arm64 i386], ffmpeg-doc
 Replaces: libavcodec52, libav-tools, ffplay
 Conflicts: ffprobe, ffplay
 Description: audio/video encoder, streaming server & audio/video file converter
@@ -65,7 +65,7 @@
 Description: Documentation of the FFmpeg API
  This package contains the html doxygen documentation of the FFmpeg API.
 
-Package: libavcodec58
+Package: libavcodec60
 Architecture: any
 Section: libs
 Multi-Arch: same
@@ -83,7 +83,9 @@
 Architecture: any
 Section: libdevel
 Multi-Arch: same
-Depends: libavcodec58 (= ${binary:Version}), libswresample-dev (>= ${binary:Version}), libavutil-dev (>= ${binary:Version}), ${misc:Depends}
+Conflicts: libavcodec-4-dev, libavcodec-5-dev
+Replaces: libavcodec-4-dev, libavcodec-5-dev
+Depends: libavcodec60 (= ${binary:Version}), libswresample-dev (>= ${binary:Version}), libavutil-dev (>= ${binary:Version}), ${misc:Depends}
 Description: Library to encode decode multimedia streams - devel files
  FFmpeg is a hyper fast real time audio/video encoder, a streaming server
  and a generic audio and video file converter.
@@ -92,7 +94,7 @@
  several file formats based on DCT/motion compensation encoding. Sound is
  compressed in MPEG audio layer 2 or using an AC3 compatible stream.
 
-Package: libpostproc55
+Package: libpostproc57
 Architecture: any
 Section: libs
 Multi-Arch: same
@@ -104,11 +106,13 @@
 Architecture: any
 Section: libdevel
 Multi-Arch: same
-Depends: libpostproc55 (= ${binary:Version}), libavutil-dev (>= ${binary:Version}), ${misc:Depends}
+Conflicts: libpostproc-4-dev, libpostproc-5-dev
+Replaces: libpostproc-4-dev, libpostproc-5-dev
+Depends: libpostproc57 (= ${binary:Version}), libavutil-dev (>= ${binary:Version}), ${misc:Depends}
 Description: postproc devel files
  This package contains the FFmpeg video postprocessing devel files.
 
-Package: libavutil56
+Package: libavutil58
 Architecture: any
 Section: libs
 Multi-Arch: same
@@ -120,11 +124,13 @@
 Architecture: any
 Section: libdevel
 Multi-Arch: same
-Depends: libavutil56 (= ${binary:Version}), ${misc:Depends}, pkg-config
+Conflicts: libavutil-4-dev, libavutil-5-dev
+Replaces: libavutil-4-dev, libavutil-5-dev
+Depends: libavutil58 (= ${binary:Version}), ${misc:Depends}, pkgconf
 Description: FFmpeg avutil devel files - devel files
  This package contains the FFmpeg video utility.
 
-Package: libavformat58
+Package: libavformat60
 Architecture: any
 Section: libs
 Multi-Arch: same
@@ -137,12 +143,14 @@
 Architecture: any
 Section: libdevel
 Multi-Arch: same
-Depends: libavformat58 (= ${binary:Version}), libavcodec-dev (>= ${binary:Version}), libswresample-dev (>= ${binary:Version}), libavutil-dev (>= ${binary:Version}), ${misc:Depends}
+Conflicts: libavformat-4-dev, libavformat-5-dev
+Replaces: libavformat-4-dev, libavformat-5-dev
+Depends: libavformat60 (= ${binary:Version}), libavcodec-dev (>= ${binary:Version}), libswresample-dev (>= ${binary:Version}), libavutil-dev (>= ${binary:Version}), ${misc:Depends}
 Description: Development files for libavformat
  This is the demuxer library from the FFmpeg project. It supports most
  existing file formats (AVI, MPEG, OGG, Matroska, ASF...).
 
-Package: libswscale5
+Package: libswscale7
 Architecture: any
 Section: libs
 Multi-Arch: same
@@ -172,7 +180,9 @@
 Architecture: any
 Section: libdevel
 Multi-Arch: same
-Depends: libswscale5 (= ${binary:Version}), libavutil-dev (>= ${binary:Version}), ${misc:Depends}
+Conflicts: libswscale-4-dev, libswscale-5-dev
+Replaces: libswscale-4-dev, libswscale-5-dev
+Depends: libswscale7 (= ${binary:Version}), libavutil-dev (>= ${binary:Version}), ${misc:Depends}
 Description: FFmpeg library for image scaling and various conversions - development files
  FFmpeg is the leading multimedia framework, able to decode, encode,
  transcode, mux, demux, stream, filter and play pretty much anything that
@@ -194,7 +204,7 @@
  .
  This package contains the development files.
 
-Package: libavdevice58
+Package: libavdevice60
 Architecture: any
 Section: libs
 Multi-Arch: same
@@ -215,7 +225,9 @@
 Architecture: any
 Section: libdevel
 Multi-Arch: same
-Depends: libavdevice58 (= ${binary:Version}), libavfilter-dev (>= ${binary:Version}), libswscale-dev (>= ${binary:Version}), libpostproc-dev (>= ${binary:Version}), libavformat-dev (>= ${binary:Version}), libavcodec-dev (>= ${binary:Version}), libswresample-dev (>= ${binary:Version}), libavutil-dev (>= ${binary:Version}), ${misc:Depends}
+Conflicts: libavdevice-4-dev, libavdevice-5-dev
+Replaces: libavdevice-4-dev, libavdevice-5-dev
+Depends: libavdevice60 (= ${binary:Version}), libavfilter-dev (>= ${binary:Version}), libswscale-dev (>= ${binary:Version}), libpostproc-dev (>= ${binary:Version}), libavformat-dev (>= ${binary:Version}), libavcodec-dev (>= ${binary:Version}), libswresample-dev (>= ${binary:Version}), libavutil-dev (>= ${binary:Version}), ${misc:Depends}
 Description: FFmpeg library for handling input and output devices - development files
  FFmpeg is the leading multimedia framework, able to decode, encode,
  transcode, mux, demux, stream, filter and play pretty much anything that
@@ -228,7 +240,7 @@
  .
  This package contains the development files.
 
-Package: libavfilter7
+Package: libavfilter9
 Architecture: any
 Section: libs
 Multi-Arch: same
@@ -251,18 +263,6 @@
 Architecture: any
 Section: libdevel
 Multi-Arch: same
-Depends: libavfilter7 (= ${binary:Version}), libswscale-dev (>= ${binary:Version}),
- libpostproc-dev (>= ${binary:Version}), libavformat-dev (>= ${binary:Version}),
- libavcodec-dev (>= ${binary:Version}), libswresample-dev (>= ${binary:Version}),
- libavresample-dev (>= ${binary:Version}), libavutil-dev (>= ${binary:Version}),  ${misc:Depends}
-Description: Development files for libavfilter
- libavfilter is a graphics library, therefore for:
- .
-  * drawing text
-    Create a single drawtext filter using freetype
-  * supporting filters from libmpcodecs
-    Create a single filter that links to libmpcodecs
-  * supporting filters from gimp
-    Create a single filter that links to it
-  * reading images
-    Create a filter using libavcodec
+Conflicts: libavfilter-4-dev, libavfilter-5-dev
+Replaces: libavfilter-4-dev, libavfilter-5-dev
+Depends: libavfilter9 (= ${binary:Version}), libswscale-dev (>= ${binary:Version}),
