=== debian/rules ===
--- 
+++ 
@@ -17,21 +17,19 @@
 #--enable-gmp			enable gmp, needed for rtmp(t)e support if openssl or librtmp is not used (We use openssl)
 #--enable-jni			Java Native Interface
 #--enable-libcelt		Removed from Debian as abandoned upstream, replaced by opus
-#--enable-libklvanc
 #--enable-libmodplug		replaced with libopenmpt
-#--enable-libopencv
+#--enable-libopencv		Not yet for my repository
 #--enable-librtmp		ffmpeg has better built-in RTMP support with listen mode
+#--enable-libshaderc		Aleready enabled with --enable-libglslang
 #--enable-libtensorflow
 #--enable-libv4l2		This is only needed for very old devices and may cause problems for others.
 #--enable-mbedtls		Already using gnutls as TLS implementation
+#--enable-pocketsphinx		Break nautilus (See #943434)
 #--enable-vapoursynth		Add too much dependencies.
-#--enable-libsmbclient		Doesn't build
-#--enable-pocketsphinx		Break nautilus (See #943434)
-#--disable-liblensfun		Doesn't build with liblensfun 0.3.2
+#--disable-liblensfun           Doesn't build with liblensfun 0.3.4
 
 CONFIG_ALL = \
 	--disable-decoder=amrnb \
-	--disable-decoder=libopenjpeg \
 	--disable-gnutls \
 	--disable-liblensfun \
 	--disable-libopencv \
@@ -39,7 +37,7 @@
 	--disable-sndio \
 	--disable-stripping \
 	--enable-avfilter \
-	--enable-avresample \
+	--enable-chromaprint \
 	--enable-frei0r \
 	--enable-gcrypt \
 	--enable-gpl \
@@ -61,10 +59,14 @@
 	--enable-libfontconfig \
 	--enable-libfreetype \
 	--enable-libfribidi \
+	--enable-libglslang \
 	--enable-libgme \
 	--enable-libgsm \
+	--enable-libharfbuzz \
 	--enable-libiec61883 \
+	--enable-libilbc \
 	--enable-libjack \
+	--enable-libjxl \
 	--enable-libkvazaar \
 	--enable-libmp3lame \
 	--enable-libmysofa \
@@ -74,12 +76,14 @@
 	--enable-libopenjpeg \
 	--enable-libopenmpt \
 	--enable-libopus \
+	--enable-libplacebo \
 	--enable-libpulse \
 	--enable-librabbitmq \
 	--enable-librist \
 	--enable-librsvg \
 	--enable-librubberband \
 	--enable-libshine \
+	--enable-libsmbclient \
 	--enable-libsnappy \
 	--enable-libsoxr \
 	--enable-libspeex \
@@ -90,6 +94,7 @@
 	--enable-libtwolame \
 	--enable-libvidstab \
 	--enable-libvo-amrwbenc \
+	--enable-libvmaf \
 	--enable-libvorbis \
 	--enable-libvpx \
 	--enable-libwebp \
@@ -104,6 +109,7 @@
 	--enable-libzvbi \
 	--enable-lv2 \
 	--enable-nonfree \
+	--enable-omx \
 	--enable-openal \
 	--enable-opencl \
 	--enable-opengl \
@@ -112,24 +118,27 @@
 	--enable-pthreads \
 	--enable-shared \
 	--enable-version3 \
-	--enable-vulkan \
 	--incdir=/usr/include/$(DEB_HOST_MULTIARCH) \
 	--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
 	--prefix=/usr \
 	--toolchain=hardened
 
+# Doesn't build with placebo v6
+##	--enable-libplacebo
+
 ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
 	CONFIG_ALL += --disable-optimizations
 endif
+
 ifeq "$(DEB_BUILD_ARCH)" "amd64"
-	CONFIG_ALL += --enable-vaapi --enable-libmfx --enable-libvmaf
+	CONFIG_ALL += --enable-vaapi --enable-libvpl
 endif
 ifeq "$(DEB_BUILD_ARCH)" "i386"
 	CONFIG_ALL += --enable-vaapi
 endif
-#ifeq "$(DEB_BUILD_ARCH)" "armhf"
-#	CFLAGS += --enable-omx-rpi --enable-mmal
-#endif
+ifeq "$(DEB_BUILD_ARCH)" "armel"
+	CONFIG_ALL += --extra-libs=-latomic
+endif
 
 ifneq (,$(filter $(DEB_HOST_ARCH),mips mipsel mips64 mips64el))
 	CONFIG_ALL += \
@@ -151,10 +160,17 @@
 endif
 
 ifeq "$(DEB_BUILD_ARCH)" "powerpc"
-	CONFIG_OPT += --cpu='g4' --disable-static --disable-ffprobe --disable-ffmpeg --disable-ffplay --shlibdir=/usr/lib/$(DEB_HOST_MULTIARCH)/altivec
-	CONFIG_ALL += --disable-libilbc
-else
-	CONFIG_ALL += --enable-libilbc
+	CONFIG_OPT += --cpu='g4' --disable-static --disable-ffprobe --disable-ffmpeg --disable-ffplay --shlibdir=/usr/lib/$(DEB_HOST_MULTIARCH)/altivec --extra-libs=-latomic
+	CONFIG_ALL += --extra-libs=-latomic
+endif
+
+ifeq ($(origin CC),default)
+	CC := $(DEB_HOST_GNU_TYPE)-gcc
+	CONFIG_ALL += --cc=$(CC)
+endif
+ifeq ($(origin CXX),default)
+	CXX := $(DEB_HOST_GNU_TYPE)-g++
+	CONFIG_ALL += --cxx=$(CXX)
 endif
 
 # V=1 for verbose build
@@ -197,25 +213,22 @@
 	-$(MAKE) distclean
 	-$(MAKE) -C doc clean
 
-	dh_clean output_example qt-faststart libavformat/libavformat.so \
-	libavcodec/amrwb_float/*.o config.log *.pc libavcodec/amr_float/*.o \
-	config.err tools/qt-faststart.d libavutil/avconfig.h doc/*.d \
-	tools/qt-faststart libavcodec/codec_names.h doc/print_options \
-	.config config.fate libavdevice/indev_list.c libavdevice/outdev_list.c \
-	libavfilter/filter_list.c libavfilter/opencl/*.o libavfilter/opencl/*.c \
-	libavfilter/opencl/*.d
+	dh_clean output_example qt-faststart ffbuild/bin2c_host.o ffbuild/bin2c_host.d \
+	libavfilter/cuda/load_helper.o libavfilter/cuda/load_helper.d libavfilter/opencl/*.c \
+	ffbuild/config.log
 
 	-rm -rf doc/doxy
 
 override_dh_auto_build-indep:
-	doxygen doc/Doxyfile
-
-	perl -i -pe 's,#define CONFIG_HTMLPAGES 0,#define CONFIG_HTMLPAGES 1,' config.h
-	perl -i -pe 's,#define CONFIG_FFMPEG 0,#define CONFIG_FFMPEG 1,' config.h
-	perl -i -pe 's,#define CONFIG_FFPLAY 0,#define CONFIG_FFPLAY 1,' config.h
-	perl -i -pe 's,#define CONFIG_FFPROBE 0,#define CONFIG_FFPROBE 1,' config.h
-	perl -i -pe 's,#define CONFIG_FFSERVER 0,#define CONFIG_FFSERVER 1,' config.h
-	perl -i -pe 's,!CONFIG_HTMLPAGES=yes,CONFIG_HTMLPAGES=yes,' config.mak
+	dh_auto_build -i -- \
+	apidoc documentation
+
+#	perl -i -pe 's,#define CONFIG_HTMLPAGES 0,#define CONFIG_HTMLPAGES 1,' config.h
+#	perl -i -pe 's,#define CONFIG_FFMPEG 0,#define CONFIG_FFMPEG 1,' config.h
+#	perl -i -pe 's,#define CONFIG_FFPLAY 0,#define CONFIG_FFPLAY 1,' config.h
+#	perl -i -pe 's,#define CONFIG_FFPROBE 0,#define CONFIG_FFPROBE 1,' config.h
+#	perl -i -pe 's,#define CONFIG_FFSERVER 0,#define CONFIG_FFSERVER 1,' config.h
+#	perl -i -pe 's,!CONFIG_HTMLPAGES=yes,CONFIG_HTMLPAGES=yes,' config.mak
 
 override_dh_install-indep:
 	dh_install -i -Xpc-uninstalled
@@ -223,6 +236,4 @@
 override_dh_installdocs:
 	dh_installdocs -A RELEASE_NOTES MAINTAINERS
 
-#override_dh_strip:
-
 override_dh_dwz override_dh_auto_install override_dh_auto_clean override_dh_auto_test override_dh_prep:
